clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::CodeGen::CatchRetScope Struct Referencefinal

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CGCXXABI.h"`

Inheritance diagram for clang::CodeGen::CatchRetScope:
[legend]
Collaboration diagram for clang::CodeGen::CatchRetScope:
[legend]

## Public Member Functions
| CatchRetScope (llvm::CatchPadInst *CPI)
void | Emit (CodeGenFunction &CGF, Flags flags) override
| Emit the cleanup. More...
Public Member Functions inherited from clang::CodeGen::EHScopeStack::Cleanup
| Cleanup (const Cleanup &)=default
| Cleanup (Cleanup &&)
| Cleanup ()=default

## Public Attributes
llvm::CatchPadInst * | CPI

## Additional Inherited Members
Protected Member Functions inherited from clang::CodeGen::EHScopeStack::Cleanup
| ~Cleanup ()=default

## Detailed Description

Definition at line 610 of file CGCXXABI.h.

## Constructor & Destructor Documentation

## ◆ CatchRetScope()

clang::CodeGen::CatchRetScope::CatchRetScope | ( | llvm::CatchPadInst * | CPI | ) |
| inline

Definition at line 613 of file CGCXXABI.h.

## Member Function Documentation

## ◆ Emit()

void clang::CodeGen::CatchRetScope::Emit | ( | CodeGenFunction & | CGF,
|  | Flags | flags
| ) |  |
| inline override virtual

Emit the cleanup.

For normal cleanups, this is run in the same EH context as when the cleanup was pushed, i.e. the immediately-enclosing context of the cleanup scope. For EH cleanups, this is run in a terminate context.

Implements clang::CodeGen::EHScopeStack::Cleanup.

Definition at line 615 of file CGCXXABI.h.

References clang::CodeGen::CodeGenFunction::Builder, clang::CodeGen::CodeGenFunction::createBasicBlock(), and clang::CodeGen::CodeGenFunction::EmitBlock().

## Member Data Documentation

## ◆ CPI

llvm::CatchPadInst* clang::CodeGen::CatchRetScope::CPI

Definition at line 611 of file CGCXXABI.h.

The documentation for this struct was generated from the following file:

- lib/CodeGen/CGCXXABI.h